# Uses of Enum Class
org.bukkit.block.data.type.Bed.Part

Packages that use Bed.Part
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Bed.Part in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Bed.Part
Modifier and Type
Method
Description
`@NotNull Bed.Part`
Bed.`getPart()`
Gets the value of the 'part' property.
`static Bed.Part`
Bed.Part.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bed.Part[]`
Bed.Part.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Bed.Part
Modifier and Type
Method
Description
`void`
Bed.`setPart(@NotNull Bed.Part part)`
Sets the value of the 'part' property.